Source: haskell-xss-sanitize
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders:
 Giovanni Mascellani <gio@debian.org>,
 Clint Adams <clint@debian.org>,
Priority: optional
Section: haskell
Rules-Requires-Root: no
Build-Depends:
 cdbs,
 debhelper (>= 10),
 ghc (>= 8.4.3),
 ghc-prof,
 haskell-devscripts (>= 0.13),
 libghc-attoparsec-dev (<< 1),
 libghc-attoparsec-dev (>= 0.10.0.3),
 libghc-attoparsec-prof,
 libghc-css-text-dev (<< 0.2),
 libghc-css-text-dev (>= 0.1.1),
 libghc-css-text-prof,
 libghc-hspec-dev (>= 1.3),
 libghc-hunit-dev (>= 1.2),
 libghc-network-uri-dev (>= 2.6),
 libghc-network-uri-prof,
 libghc-tagsoup-dev (<< 1),
 libghc-tagsoup-dev (>= 0.12.2),
 libghc-tagsoup-prof,
 libghc-utf8-string-dev (<< 1.1),
 libghc-utf8-string-dev (>= 0.3),
 libghc-utf8-string-prof,
Build-Depends-Indep:
 ghc-doc,
 libghc-attoparsec-doc,
 libghc-css-text-doc,
 libghc-network-uri-doc,
 libghc-tagsoup-doc,
 libghc-utf8-string-doc,
Standards-Version: 4.5.0
Homepage: https://github.com/yesodweb/haskell-xss-sanitize
Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-xss-sanitize
Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-xss-sanitize]

Package: libghc-xss-sanitize-dev
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Provides:
 ${haskell:Provides},
Description: Library to sanitize HTML and prevent XSS attacks${haskell:ShortBlurb}
 This library is able to parse strings that contain HTML code and check
 for the presence of potentially malicious tags that could trigger XSS
 (Cross-Site Scripting). It can be used in a Web application when using
 HTML code coming from an untrusted party.
 .
 Moreover, this library is also able to check for unbalanced tags and
 tries to fix them (even though it could produce invalid HTML).
 .
 ${haskell:Blurb}

Package: libghc-xss-sanitize-prof
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Provides:
 ${haskell:Provides},
Description: Library to sanitize HTML and prevent XSS attacks${haskell:ShortBlurb}
 This library is able to parse strings that contain HTML code and check
 for the presence of potentially malicious tags that could trigger XSS
 (Cross-Site Scripting). It can be used in a Web application when using
 HTML code coming from an untrusted party.
 .
 Moreover, this library is also able to check for unbalanced tags and
 tries to fix them (even though it could produce invalid HTML).
 .
 ${haskell:Blurb}

Package: libghc-xss-sanitize-doc
Architecture: all
Section: doc
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Description: Library to sanitize HTML and prevent XSS attacks${haskell:ShortBlurb}
 This library is able to parse strings that contain HTML code and check
 for the presence of potentially malicious tags that could trigger XSS
 (Cross-Site Scripting). It can be used in a Web application when using
 HTML code coming from an untrusted party.
 .
 Moreover, this library is also able to check for unbalanced tags and
 tries to fix them (even though it could produce invalid HTML).
 .
 ${haskell:Blurb}
